
#include <stdio.h>
#include <stdlib.h>

static unsigned char Screen_Mode;

unsigned char Current_Mode(void)
{
  unsigned char screen_mode;
  asm{
    mov ah,0Fh
    int 10h
    mov screen_mode,al
  }
  return(screen_mode);
}

void closegraph(void)      // Close Graph
{
  asm{
    mov ah,0
    mov al,3
    int 10h
    }
}

void init_svga_graph(unsigned char mode=0x37)       // Initial Graph
{
  asm{
    mov ah,0
    mov al,mode
    int 10h
    }
  Screen_Mode=mode;
  if(mode!=Current_Mode())
  {
    closegraph();
    printf("Sorry, This program didn't support this Display Mode yet !\n");
    printf("and Note: This program is written under ET4000 Chips Card.\n");
    exit(3);
  }
}



void putpixel(unsigned int x,unsigned int y,unsigned char c)     // Draw a point
{
  asm{
    mov ah,0ch
    mov al,c
    mov bh,0
    mov cx,x
    mov dx,y
    int 10h
    }
}

unsigned getpixel(int x,int y)
{
  unsigned char attribute;
  asm{
    mov ah,0dh
    mov bh,0
    mov cx,x
    mov dx,y
    int 10h
    mov attribute,al
    }
  return attribute;

}

